import 'dart:convert';
import 'package:comet_cli/functions/code_name.dart';
import 'package:comet_cli/types/src.dart';

String toDartPage(SrcPage srcPage) {
  final str = utf8.decode(srcPage.content);
  final codeName = toCodeName(srcPage.name);
  final content = """
// ignore_for_file: constant_identifier_names, file_names
import 'package:comet/comet.dart';

const $codeName = CometGenPage(
  srcName: '${srcPage.name}',
  content: _content,
);

const _content = '''
$str
''';
""";
  return content;
}
